# Copyright 2023 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name: python-pylsqpack
Epoch: 100
Version: 0.3.18
Release: 1%{?dist}
Summary: Python wrapper for the ls-qpack QPACK library
License: BSD-3-Clause
URL: https://github.com/aiortc/pylsqpack/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-wheel

%description
pylsqpack is a wrapper around the ls-qpack library. It provides Python
Decoder and Encoder objects to read or write HTTP/3 headers compressed
with QPACK.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitearch} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitearch}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-pylsqpack
Summary: Python wrapper for the ls-qpack QPACK library
Requires: python3
Provides: python3-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python3dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pylsqpack) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-pylsqpack
pylsqpack is a wrapper around the ls-qpack library. It provides Python
Decoder and Encoder objects to read or write HTTP/3 headers compressed
with QPACK.

%files -n python%{python3_version_nodots}-pylsqpack
%license LICENSE
%{python3_sitearch}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-pylsqpack
Summary: Python wrapper for the ls-qpack QPACK library
Requires: python3
Provides: python3-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python3dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pylsqpack) = %{epoch}:%{version}-%{release}

%description -n python3-pylsqpack
pylsqpack is a wrapper around the ls-qpack library. It provides Python
Decoder and Encoder objects to read or write HTTP/3 headers compressed
with QPACK.

%files -n python3-pylsqpack
%license LICENSE
%{python3_sitearch}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n python3-pylsqpack
Summary: Python wrapper for the ls-qpack QPACK library
Requires: python3
Provides: python3-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python3dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pylsqpack) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pylsqpack = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pylsqpack) = %{epoch}:%{version}-%{release}

%description -n python3-pylsqpack
pylsqpack is a wrapper around the ls-qpack library. It provides Python
Decoder and Encoder objects to read or write HTTP/3 headers compressed
with QPACK.

%files -n python3-pylsqpack
%license LICENSE
%{python3_sitearch}/*
%endif

%changelog
